Summary: Recording tool for VNC
Name: vnc2swf
Version: 0.5.0
Release: 1
License: GPL
Group: User Interface/Desktops
URL: http://www.unixuser.org/~euske/vnc2swf/
Source0: http://www.unixuser.org/~euske/vnc2swf/%{name}-%{version}.tar.gz
Patch0: %{name}-%{version}-aix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: zlib-devel
Requires: zlib

%description
vnc2swf is a recoding tool for Flash.


%prep
%setup -q
%patch0


%build
./configure \
    --prefix=%{_prefix} \
    --with-x \
    --with-zlib \

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} prefix=%{_prefix} install

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc LICENCE.TXT README* docs/*.html
%{_bindir}/*
/usr/bin/*


%changelog
* Wed Jan 12 2011 Michael Perzl <michael@perzl.org> - 0.5.0-1
- first version for AIX V5.1 and higher
